
Log Reporting - Task #7346

ConcurrentModificationException thrown in LogAggregationHarvestJob

2015-09-14 02:11 - Robert Waltz

Status: Closed Start date: 2015-09-14

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

[ INFO] 2015-09-13 22:02:04,745 (ObjectFormatCache:refreshCache:215) successful cache refresh from cn.listFormats()

country: United States, region: Tennessee, city: Knoxville[ INFO] 2015-09-13 22:02:04,776 (StdOutErrLog$1:print:43) country: United

States, region: Tennessee, city: Knoxville

location: 35.9901, -83.9622[ INFO] 2015-09-13 22:02:04,799 (StdOutErrLog$1:print:43) location: 35.9901, -83.9622

[ERROR] 2015-09-13 22:02:04,811 (StdOutErrLog$2:print:51) 428870 [LogAggregationQuartzScheduler_Worker-4] ERROR

org.dataone.cn.batch.logging.jobs.LogAggregationHarvestJob - Job-urn:node:mnDemo7 ExecutionException-

urn:node:mnDemo7-java.util.ConcurrentModificationException

[ERROR] 2015-09-13 22:02:04,811 (StdOutErrLog$2:print:51) 428870 [LogAggregationQuartzScheduler_Worker-4] INFO

org.dataone.cn.batch.logging.jobs.LogAggregationHarvestJob - Job-urn:node:mnDemo7 Task returned with no completion date!

Associated revisions

Revision 16298 - 2015-09-14 14:41 - Robert Waltz

closes #7346

There was a stray line of code that I did not delete after allowing the MNCommunication class to return a LogEntrySolrItem List instead of the

LogEntry List

Revision 16298 - 2015-09-14 14:41 - Robert Waltz

closes #7346

There was a stray line of code that I did not delete after allowing the MNCommunication class to return a LogEntrySolrItem List instead of the

LogEntry List

History

#1 - 2015-09-14 14:35 - Robert Waltz

- Subject changed from ConcurrentModificationException thwon in LogAggregationHarvestJob to ConcurrentModificationException thrown in

LogAggregationHarvestJob

- Status changed from New to In Progress

- % Done changed from 0 to 30

There was  a stray line of code that I did not delete after allowing the MNCommunication class to return a LogEntrySolrItem List instead of the

LogEntry List

#2 - 2015-09-14 17:26 - Robert Waltz

- Status changed from In Progress to Closed
- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0
